Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Read your invoices, fetch one by number, or cancel an unpaid invoice.
GET /api/v1/business/invoices
status
PENDING
PAID
CANCELLED
page
pageSize
curl "https://api.usenumero.com/numeroaccount/api/v1/business/invoices?status=PENDING&page=1&pageSize=25" \ -H "X-Numero-Api-Key: your_api_key" \ -H "X-Numero-Signature: $SIGNATURE" \ -H "X-Numero-Signature-Version: v2"
{ "data": { "data": [ { "invoiceNumber": "INV-2024-000123", "amount": 25000, "currency": "NGN", "status": "Pending", "customerName": "John Doe" } ], "pageNumber": 1, "pageSize": 25, "totalCount": 1 }, "error": null, "meta": { "request_id": "req_365123ebc73323f1482508560ce6400e", "pagination": null } }
GET /api/v1/business/invoices/{invoiceNumber}
curl "https://api.usenumero.com/numeroaccount/api/v1/business/invoices/INV-2024-000123" \ -H "X-Numero-Api-Key: your_api_key" \ -H "X-Numero-Signature: $SIGNATURE" \ -H "X-Numero-Signature-Version: v2"
paidAmount
paidAt
paidTransactionReference
POST /api/v1/business/invoices/{invoiceNumber}/cancel
X-Numero-Api-Key
X-Numero-Signature
X-Numero-Signature-Version
v2
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/invoices/INV-2024-000123/cancel" \ -H "X-Numero-Api-Key: your_api_key" \ -H "X-Numero-Signature: $SIGNATURE" \ -H "X-Numero-Signature-Version: v2"
{ "data": true, "error": null, "meta": { "request_id": "req_365123ebc73323f1482508560ce6400e", "pagination": null } }